## BudgiePopoverManager BudgiePopoverManager |

## Functions

void | budgie_popover_manager_register_popover ()
void | budgie_popover_manager_unregister_popover ()
void | budgie_popover_manager_show_popover ()

## Object Hierarchy

        GInterface
        ╰── BudgiePopoverManager

## Description

## Functions

### budgie_popover_manager_register_popover ()

    void
    budgie_popover_manager_register_popover
                                   (BudgiePopoverManager *manager,
                                    GtkWidget *widget,
                                    GtkPopover *popover);

Register a popover with this popover manager

#### Parameters

widget | Widget that the popover is associated with. | [nullable]
popover | A GtkPopover to associated with the `widget` . | [nullable]

### budgie_popover_manager_unregister_popover ()

    void
    budgie_popover_manager_unregister_popover
                                   (BudgiePopoverManager *manager,
                                    GtkWidget *widget);

Unegister a popover with this popover manager

#### Parameters

widget | Widget that the popover is associated with. | [nullable]

### budgie_popover_manager_show_popover ()

    void
    budgie_popover_manager_show_popover (BudgiePopoverManager *manager,
                                         GtkWidget *widget);

Show a popover previously with this popover manager

#### Parameters

widget | Widget that the popover is associated with. | [nullable]

## Types and Values